<?php
/*
Ermitteln des Alters eines Teilnehmers anhant seines Geburtstages
INPUT: Geburtstdatum nach Format DD.MM.YYYY
OUTPUT: Das Alter
*/
function get_age ($geburtstag) {
	
	// Bekommen von den Tagen, Monaten, Jahren
	$dmy = explode(".", $geburtstag);
	
	// Den heutigen Tag festlegen.
	$heute_tag = date('j');
	$heute_monat = date('n');
	$heute_jahr = date('Y');
	
	// Die Differenz der Jahre errechnen
	$diff_jahre = $heute_jahr - $dmy[2];
	
	// Hat noch ein Geburtstag vor sich im Jahr
	if ($heute_monat < $dmy[1]) {
		$diff_jahre--;
	}
	// Hat in diesem Monat noch Geburtstag
	elseif ($heute_monat == $dmy[1] && $heute_tag <= $dmy[0]) {
		$diff_jahre--;
	}
	
	return $diff_jahre;
	
}


/*Mit dieser Funktion wird die komplette Installation ueberprueft.*/
function check_install () {
	global $verbindung;
	// Als erstes werden die Dateien ueberprueft:
	if (!file_exists("../data_inc.php"))
		return false;
	else {
		require_once "../mysql_inc.php";
		
		// eine kleine Testabfrage:
		$sql = @mysqli_query($verbindung, "SELECT id FROM anm_system WHERE id = '1' LIMIT 1");
		$row = @mysqli_fetch_object($sql);
		
		// Installation passt schon:
		if ($row->id == "1")
			return true;
		
		else
			return false;
		
	}
	
}

?>