function pay_it (tid) {
	
	// Daten mit der ID vom Bezahlten an den Server
	$.post('js_funcs.php', {"seite": "teilnehmer_paid", "tid": tid}, function (data) {
		
		if (data == "OK") {
			$('#paid_' + tid).attr("src", "imgs/haken.gif").attr("alt", "Ja");
		}
		
		// Wenn es nicht so gelaufen ist, wie es sollte.
		else {
			alert("Es gab einen serverseitigen Fehler.");
		}
		
	});
	
}


function sign_it (tid) {
	
	// Daten absenden
	$.post('js_funcs.php', {"seite": "teilnehmer_sign", "tid": tid}, function (data) {
		
		// Wenn alles OK ist, dann wird das neue Icon gesetzt:
		if (data == "OK") {
			
			$('#signed_' + tid).attr("src", "imgs/haken.gif").attr("alt", "Ja");
			
		}
		
		else
			alert("Es gab einen serverseitigen Fehler.");
		
	});
	
}


function get_notice (tid) {
	
	// TeilnehmerID an den Server senden:
	$.post('js_funcs.php', {"seite": "teilnehmer_notice", "tid": tid}, function (data) {
		
		// Wenn es keinen Fehler gibt:
		if (data != "error") {
			
			$('#window').dialog({
			modal: false,
			width: 600,
			height: 250,
			title: "Kommentar",
			buttons: {}
			}).html(data).dialog("open");
			
		}
		
		else
			alert("Es gab einene (vermutlich) serverseitigen Fehler.");
		
	});
	
}


function remove (tid, vorname, nachname) {
	
	// Kontrolle, ob es ernst gemeint ist:
	$('#window').dialog({
	modal: true,
	width: 400,
	height: 200,
	title: "L&ouml;schung best&auml;tigen",
	buttons: {
	"Ja": function () {
		
		// Wenn der Wunsch besteht, dass Benutzer geloescht wird:
		$.post('js_funcs.php', {"seite": "teilnehmer_remove", "tid": tid}, function (data) {
			
			// Subseite neu laden, wenn Benutzer entfernt wurde
			if (data != "error")
				change_page("teilnehmer");
			
			else
				alert("Es gab einen (vermutlich) serverseitigen Fehler.");
			
		});
		
		// Und Dialogfeld wieder schliessen:
		$(this).dialog("close");
		
	},
	"Nein": function () {$(this).dialog("close")}
	}
	}).html("Sind Sie sicher, dass Sie " + vorname + " " + nachname + " l&ouml;schen m&ouml;chten?").dialog("open");
	
}