<?php


function downloadsetting () {
	global $verbindung;
	// Bei dieser (administrativen) Funktion besitzt man nun die Moeglichkeit
	// Die Pfade koennen angepasst werden
	
	$id = $_GET["id"];
	
	if ($id != "" && is_numeric) {
		
		$sql = mysqli_query($verbindung, "SELECT path, name, aktiv FROM anm_downloads WHERE id = '"
		. $id . "' LIMIT 1");
		
	}
		
}


function daten () {
	global $verbindung;
	// Daten vom Teilnehmer auslesen:
	$sql = mysqli_query($verbindung, "SELECT vorname, nachname, geburtstag, bemerkung, vegetarier,
	godi, geschwister, gemeinde FROM anm_teilis WHERE id = '" .
	$_SESSION["anm"]["id"] . "' LIMIT 1");
	$row = mysqli_fetch_object($sql);
	
	// Daten auswerten
	$alter = explode(".", $row->geburtstag);
	$alter = get_age($alter[0], $alter[1], $alter[2]);
	
	$gemeinde = church_name($row->gemeinde);
	if (!$gemeinde)
		$gemeinde = 'Keine Gemeinde';
	
	if ($row->vegetarier == "1")
		$vegetarier = 'Ja';
	else
		$vegetarier = 'Nein';
	
	if ($row->godi == "1")
		$godi = 'Ja';
	else
		$godi = 'Nein';
	
	if ($row->geschwister == "1")
		$geschwister = 'Ja';
	else
		$geschwister = 'Nein';
	
	// Einfache Ausgabe
	$GLOBALS["echo"] = '<b>Meine Daten</b><br><br>
	Hier kannst du noch einmal deine bei der Anmeldung eingegebenen
	Daten auf Korrektheit und Vollst&auml;ndigkeit kontrollieren.<br><br>
	Name:<br><b>'
	. $row->vorname . ' '  . $row->nachname . '</b><br><br>
	Geburtstag:<br><b>'
	. $row->geburtstag . ' (' . $alter . ' Jahre)</b><br><br>
	Bemerkung:<br><b>'
	. nl2br($row->bemerkung) . '</b><br><br>
	Vegetarier:<br><b>'
	. $vegetarier . '</b><br><br>
	Gottesdienstteilnahme:<br><b>'
	. $godi . '</b><br><br>
	Geschwisterkind:<br><b>'
	. $geschwister . '</b><br><br>
	Gemeindezugeh&ouml;rigkeit:<br><b>'
	. $gemeinde . '</b><br><br>
	Bei Falscheingaben kannst du deinen Gruppenleiter kontaktieren, der deine
	Daten &auml;ndern kann.';
	
}


function teils () {
	global $verbindung;
	// Herunterladen der Teilis
	$sql = mysqli_query($verbindung, "SELECT vorname, nachname, gemeinde FROM anm_teilis");
	
	// Uebertragen:
	while ($row = mysqli_fetch_object($sql)) {
		
		// Gemeindenamen ermitteln
		$gemeinde = church_name($row->gemeinde);
		if (!$gemeinde) {
			$gemeindelink = '<b>(In keiner Gemeinde)</b>';
		}
		else {
			$gemeindelink = '<a href="#" onclick="gemfade(' . $row->gemeinde . ');" id="gem_' . $row->gemeinde . '"
		>(' . $gemeinde . ')</a>';
		}
		
		// Ausgabestring
		$ausgabe = $ausgabe . '<li class="lesen">' . $row->vorname . ' ' . $row->nachname
		. ' ' . $gemeindelink . '</li>';
		
	}
	
	// Scriptdatei einbinden
	$GLOBALS["script"] = 'gemeindeverzeichnis.js';
	
	// Und hier die letztliche Ausgabe
	$GLOBALS["echo"] = '<b>Teilnehmerverzeichnis</b><br><br>
	<div id="jsdiv" style="display: none; border: 4px double red;
	padding: 5px;" class="lesen"></div>
	<ul>' . $ausgabe . '</ul>';
	
}


function gems () {
	global $verbindung;
	// Herunterladen von den Gemeinden
	$sql = mysqli_query($verbindung, "SELECT id, name, ap_name FROM anm_gemeinde");
	
	
	// Uebertragen:
	while ($row = mysqli_fetch_object($sql)) {
		
		// Hier gebe ich dem Link eine ID
		$id = "gem_" . $row->id;
		
		// Ausgabe
		$ausgabe = $ausgabe . '<li class="lesen"><a href="#" onclick="gemfade('
		. $row->id . ')" id="' . $id . '">' . $row->name . ' (' . $row->ap_name . ')</a></li>';
		
	}
	
	// Skriptdatei einbinden:
	$GLOBALS["script"] = 'gemeindeverzeichnis.js';
	
	// Ausgabe
	$GLOBALS["echo"] = '<b>Gemeindeverzeichnis</b><br>
	<div id="jsdiv" style="display: none; border: 4px double red;
	padding: 5px;" class="lesen"></div>
	<ul>' . $ausgabe
	. '</ul>';
	
}


function teilnehmerver () {
	global $verbindung;
	// Als erstes die Subaction definieren:
	$subac = $_GET["subac"];
	$tid = $_GET["tid"];
	
	if ($subac == "edit" && is_numeric($tid)) {
		
		// Halt noch die Eingaben definieren:
		$vorname = spezialzeichen($_POST["vorname"]);
		$nachname = spezialzeichen($_POST["nachname"]);
		$geburtstag = $_POST["tage"] . '.' . $_POST["monate"] . '.' . $_POST["jahre"];
		$familie = $_POST["familie"];
		$vegetarier = $_POST["vegetarier"];
		$godi = $_POST["godi"];
		$geschwister = $_POST["geschwister"];
		$gemeinde = $_POST["gemeinde"];
		$no_church = $_POST["no_church"];
		$bemerkung = spezialzeichen($_POST["bemerkung"]);
		$pwd = $_POST["passwort"];
		
		// Kontrolle, ob alles ausgefuellt wurde und abgesendet wurde
		if ($vorname != "" && $nachname != "" && $_POST["tage"] != "" &&
		$_POST["monate"] != "" && $_POST["jahre"] != "" && $familie != "" &&
		$vegetarier != "" && $godi != "" && $geschwister != "" &&
		($no_church == "1" || $gemeinde != "") && ($pwd != ""
		&& $_POST["freigeben"] == "1" || $_POST["freigeben"] != "1")) {
			
			// Falls keine Gemeinde ausgewaehlt wurde.
			if ($no_church == "1")
				$gemeinde = "0";
			
			// Wegen Passwortaenderung:
			if ($_POST["freigeben"] == "1")
				$insert_pwd = ", pwd = '" . md5($pwd) . "'";
			
			// Alles Notwendige ist ausgefuellt.
			$sql_save = mysqli_query($verbindung, "UPDATE anm_teilis SET vorname = '" . $vorname . "',
			nachname = '" . $nachname . "', geburtstag = '" . $geburtstag . "',
			familie = '" . $familie . "', vegetarier = '" . $vegetarier . "', godi =
			'" . $godi . "', geschwister = '" . $geschwister . "', gemeinde = '" . $gemeinde . "',
			bemerkung = '" . $bemerkung . "'" . $insert_pwd . " WHERE id = '" . $tid . "' LIMIT 1");
			
			// Und hier nun die Ausgaben im Feld
			if (!$sql_save)
				$message = '<br><br>Es gab einen Fehler beim Speichern.';
			else
				$message = '<br><br>Die &Auml;nderungen wurden erfolgreich gespeichert.';
			
		}
		
		
		// Zuerst natuerlich die Abfrage:
		$sql = mysqli_query($verbindung, "SELECT vorname, nachname, geburtstag, familie, bemerkung, vegetarier,
		godi, geschwister, gemeinde, pwd FROM anm_teilis WHERE id = '" . $tid . "' LIMIT 1");
		$row = mysqli_fetch_object($sql);
		
		// Anzeige vom Geburtstag:
		// Den Geburtstag aufsplitten
		$geburtstag = explode(".", $row->geburtstag);
		// Tag
		while ($i < 31) {
			$i++;
			if ($geburtstag[0] == $i)
				$selected = ' selected="selected"';
			else
				$selected = '';
			$tage = $tage . '<option value="' . $i . '"' . $selected . '>' . $i . '</option>';
		}
		// Monate
		$monatarray = array('', 'Januar', 'Februar', 'M&auml;rz', 'April', 'Mai',
		'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember');
		$i = 0;
		while ($i < 12) {
			$i++;
			if ($geburtstag[1] == $i)
				$selected = ' selected="selected"';
			else
				$selected = '';
			$monate = $monate . '<option value="' . $i . '"' . $selected . '>' . $monatarray[$i] . '</option>';
		}
		// Jahre
		$i = 1994;
		while ($i < 2001) {
			$i++;
			if ($geburtstag[2] == $i)
				$selected = ' selected="selected"';
			else
				$selected = '';
			$jahre = $jahre . '<option value="' . $i . '"' . $selected . '>' . $i . '</option>';
		}
		
		// Familiengruppen
		$i = 0;
		while ($i <= 6) {
			
			if ($row->familie == $i)
				$selected = ' selected="selected"';
			else
				$selected = '';
			$familien = $familien . '<option value="' . $i . '"' . $selected . '>' . $i . '</option>';
			
			$i++;
		}
		
		// Vegetarier:
		if ($row->vegetarier == "1")
			$vc_1 = ' checked="checked"';
		else
			$vc_0 = ' checked="checked"';
		
		// Godi:
		if ($row->godi == "1")
			$gc_1 = ' checked="checked"';
		else
			$gc_0 = ' checked="checked"';
		
		// Geschwister:
		if ($row->geschwister == "1")
			$gec_1 = ' checked="checked"';
		else
			$gec_0 = ' checked="checked"';
		
		// Gemeindeanzeige:
		$sql_gem = mysqli_query($verbindung, "SELECT id, name FROM anm_gemeinde");
		while ($row_gem = mysqli_fetch_object($sql_gem)) {
			if ($row_gem->id == $row->gemeinde)
				$selected = ' selected="selected"';
			else
				$selected = '';
			$gemeinden = $gemeinden . '<option value="' . $row_gem->id
			. '"' . $selected . '>' . $row_gem->name . '</option>';
		}
		
		// Keine Gemeinden
		if ($row->gemeinde == "0")
			$no_church = ' checked="checked"';
		
		// Hier ist die Ausgabe fuer neue Benutzer
		$GLOBALS["echo"] = '<b>Benutzer bearbeiten</b>' . $message . '<br><br>
		<form action="index.php?action=teilnehmerver&subac=edit&tid=' . $tid .'" method="post">
		<table class="lesen">
		<tr>
		<td>Name: </td>
		<td><input type="text" name="vorname" value="' . $row->vorname . '" placeholder="Vorname">
		<input type="text" name="nachname" value="' . $row->nachname . '" placeholder="Nachname"></td>
		</tr><tr>
		<td>Geburtstag: </td>
		<td><select name="tage">' . $tage . '</select> .
		<select name="monate">' . $monate . '</select> .
		<select name="jahre">' . $jahre . '</jahre></td>
		</tr><tr>
		<td>Familiengruppe: </td>
		<td><select name="familie">' . $familien . '</select></td>
		</tr><tr>
		<td>Vegetarier: </td>
		<td><input type="radio" name="vegetarier" value="1"' . $vc_1 . '> Ja |
		<input type="radio" name="vegetarier" value="0"' . $vc_0 . '> Nein</td>
		</tr><tr>
		<td>GoDi: </td>
		<td><input type="radio" name="godi" value="1"' . $gc_1 . '> Ja |
		<input type="radio" name="godi" value="0"' . $gc_0 . '> Nein</td>
		</tr><tr>
		<td>Geschwister: </td>
		<td><input type="radio" name="geschwister" value="1"' . $gec_1 . '> Ja |
		<input type="radio" name="geschwister" value="0"' . $gec_0 . '> Nein</td>
		</tr><tr>
		<td>Gemeinde: </td>
		<td><select name="gemeinde">' . $gemeinden . '</select><br>
		<input type="checkbox" name="no_church" value="1"' . $no_church . '> Ich geh&ouml;re zu keiner dieser Gemeinden.</td>
		</tr><tr>
		<td>Bemerkung: </td>
		<td><textarea name="bemerkung" rows="5" cols="30">' . $row->bemerkung . '</textarea></td>
		</tr><tr>
		<td>Passwort &auml;ndern: </td>
		<td><input type="password" name="passwort" disabled="disabled" id="pwd">
		<input type="checkbox" onclick="freigeben_jetzt();" name="freigeben" value="1"></td>
		</tr><tr>
		<td>L&ouml;schen: </td>
		<td><input type="button" value="Teilnehmer entfernen" onclick="deletehim(\'' . $tid . '\');"
		disabled="disabled" id="butts"> <input type="checkbox" onclick="entsperren();"></td>
		</tr>
		</table><br>
		<input type="submit" value="Abschicken">
		</form>';
		
		$GLOBALS["script"] = 'teilnehmerv.js';
		
	}
	
	else {
		
		// Hier die Teilnehmerdaten abrufen
		$sql = mysqli_query($verbindung, "SELECT id, vorname, nachname, gemeinde, geburtstag FROM anm_teilis");
		
		while ($row = mysqli_fetch_object($sql)) {
			
			// Das Alter feststellen
			$alter = explode(".", $row->geburtstag);
			$alter = get_age($alter[0], $alter[1], $alter[2]);
			
			// Die Kirche feststellen
			$gemeinde = church_name($row->gemeinde);
			if (!$gemeinde)
				$gemeinde = 'keine Gemeinde';
			
			// Den Ausgabestring mit den Nutzerdaten
			$ausgabe = $ausgabe . '<tr>
			<td><a href="index.php?action=teilnehmerver&subac=edit&tid='
			. $row->id . '"><b>' . $row->vorname . ' ' . $row->nachname . '</a></b></td>
			<td><b>(' . $alter . ' Jahre)</b></td>
			<td><b>(' . $gemeinde . ')</b></td>
			</tr>';
			
			
		}
		
		// Einfache Ausgabe der Teilnehmerliste
		$GLOBALS["echo"] = '<b>Teilnehmerverwaltung</b><br><br>
		Hier werden alle Teilnehmer zur Bearbeitung angezeigt.<br><br>
		<table class="lesen">' . $ausgabe . '</table>';
	
	}
}


function info () {
	global $verbindung;
	// Infos will ich haben ueber:
	// Anzahl Teilnehmer; Anzahl Gemeinden; Anzahl Familien;
	// Anzahl Vegetarier; Anzahl Godibesucher; Geschwisterkinder
	
	// Zuerst die Infos abrufen
	$sql = mysqli_query($verbindung, "SELECT familie, gemeinde, vegetarier, godi, geschwister FROM anm_teilis");
	
	// Familien und Gemeinden als array:
	$familien = array();
	$gemeinden = array();
	
	// Dann wird gezaehlt
	while ($row = mysqli_fetch_object($sql)) {
		
		// Anzahl Teilnehmer
		$teilis++;
		
		// Anzahl Familien
		if (!in_array($row->familie, $familien))
			$familien[] = $row->familie;
		
		// Anzahl Gemeinden
		if (!in_array($row->gemeinde, $gemeinden))
			$gemeinden[] = $row->gemeinde;
		
		// Anzahl Vegetarier
		if ($row->vegetarier == "1")
			$vegetarier++;
		
		// Anzahl Godibesucher
		if ($row->godi == "1")
			$godi++;
		
		// Anzahl Geschwisterkinder
		if ($row->geschwister == "1")
			$geschwister++;
	}
	
	// Nun die Arrays in Zahlen (Nummern)
	$familien = count($familien);
	$gemeinden = count($gemeinden);
	
	// Und nullen, wenn erforderlich:
	if ($teilis == "")
		$teilis = "0";
	if ($familien == 0)
		$familien = "0";
	if ($gemeinden == 0)
		$gemeinden = "0";
	if ($vegetarier == "")
		$vegetarier = "0";
	if ($godi == "")
		$godi = "0";
	if ($geschwister == "")
		$geschwister = "0";
	
	// Scriptdatei einbinden:
	$GLOBALS["script"] = 'infos.js';
	
	// Und hier folgt die Ausgabe:
	$GLOBALS["echo"] = '<b>Infos</b><br><br>
	<table class="lesen">
	<tr>
	<td>Teilnehmer: </td>
	<td><b>' . $teilis . '</b></td>
	</tr><tr>
	<td>Familien (In Benutzung): </td>
	<td><b>' . $familien . '</b></td>
	</tr><tr>
	<td>Gemeinden (Mit Teilnehmern): </td>
	<td><b>' . $gemeinden . '</b></td>
	</tr><tr>
	<td>Vegetarier: </td>
	<td><b>' . $vegetarier . '</b></td>
	</tr><tr>
	<td>Godi-Besucher</td>
	<td><b>' . $godi . '</b></td>
	</tr><tr>
	<td>Geschwisterkinder: </td>
	<td><b>' . $geschwister . '</b></td>
	</tr>
	</table>
	<div id="jsdiv">
	<a href="#" onclick="showdas();">Automatisch in Familien einteilien</a>
	</div>
	<a href="#" class="lesen">Download Handbuch f&uuml;r Administration</a>';
	
}


function anmui () {
	
	// Hier ist wirklich NUR eine Verlinkung auf Anmeldeinterface
	$GLOBALS["echo"] = '<b>Anmeldeinterface</b><br><br>
	<a href="anm_ui/index.php" target="_blank">Weiter zum Interface</a>';
	
}


function gemeinde () {
	global $verbindung;
	// Die Gets definieren
	$idg = $_GET["idg"];
	$subac = $_GET["subac"];
	
	// Gemeindemenue oeffnen (Editiermodus)
	if ($subac == "new" || $subac == "edit" && is_numeric($idg)) {
		
		// Daten wurden bereits gesendet
		if ($_GET["send"] == "1") {
			
			// Eingaenge definieren:
			$name = spezialzeichen($_POST["name"]);
			$ap_name = spezialzeichen($_POST["ap_name"]);
			$ap_telefon = spezialzeichen($_POST["ap_telefon"]);
			$ap_adresse = spezialzeichen($_POST["ap_adresse"]);
			
			if (strlen($name) > 4 && strlen($ap_name) > 4 &&
			strlen($ap_telefon) > 4 && strlen($ap_adresse)) {
				
				// Editiermodus
				if ($subac == "edit" && is_numeric($idg)) {
					$sqlch = mysqli_query($verbindung, "UPDATE anm_gemeinde SET name = '"
					. $name . "', ap_telefon = '" . $ap_telefon . "', ap_name = '"
					. $ap_name . "', ap_adresse = '" . $ap_adresse . "' WHERE id = '"
					. $idg . "' LIMIT 1");
				}
				
				if ($subac == "new") {
					$sqlch = mysqli_query($verbindung, "INSERT INTO anm_gemeinde (name, ap_name,
					ap_adresse, ap_telefon) VALUES ('" . $name . "', '" . $ap_name
					. "', '" . $ap_adresse . "', '" . $ap_telefon . "')");
				}
				
				if ($sqlch) {
					// Daten erfolgreich gespeichert
					$message2 = 'Daten erfolgreich gespeichert.<br><br>';
				}
			
			}
			
			// Bei nicht erfolgreichem Abschicken zurueck zum EditMode
			else {
				$message2 = 'Leider gab es einen Fehler. Sind alle Fehler ausgef&uuml;llt?
				Jedes Feld muss mindestens 5 Zeichen enthalten.';
			}
			
		}
		
		// Daten noch nicht gesendet
		else {
			
			// Editiermodus
			if ($subac == "edit" && is_numeric($idg)) {
				
				// Daten abrufen aus Datenbank
				$sql = mysqli_query($verbindung, "SELECT name, ap_name, ap_adresse, ap_telefon FROM
				anm_gemeinde WHERE id = '" . $idg . "' LIMIT 1");
				$row = mysqli_fetch_object($sql);
				
				// Daten fuer Ausgabe preperieren
				$name = $row->name;
				$ap_name = $row->ap_name;
				$ap_telefon = $row->ap_telefon;
				$ap_adresse = $row->ap_adresse;
				
				// IDG und Subaction definieren:
				$message = 'edit&idg=' . $idg;
			
			}
			
			// Neuer Modus
			else {
				
				$message = 'new';
				
			}
			
		}
		
		// Hier ist nur die Ausgabe
		$GLOBALS["echo"] = '<form action="index.php?action=gemeinde&send=1&subac='
		. $message . '" method="post" class="lesen">
		<b>Gemeinden</b><br><br>' . $message2 . '
		Gemeindename:<br>
		<input type="text" name="name" value="' . $name . '"
		placeholder="Gemeindename"><br><br>
		Ansprechpartner:<br>
		<input type="text" name="ap_name" value="' . $ap_name . '"
		placeholder="Ansprechpartner"><br><br>
		Telefonnummer vom Ansprechpartner:<br>
		<input type="text" name="ap_telefon" value="' . $ap_telefon . '"
		placeholder="Telefonnummer"><br><br>
		Adresse vom Ansprechpartner:<br>
		<textarea cols="40" rows="3" name="ap_adresse">'
		. $ap_adresse . '</textarea><br><br>
		<input type="submit" value="Speichern"></form><br><br>
		<a href="index.php?action=gemeinde">Zur&uuml;ck</a>';
		
	}
	
	// Keine Subaction definiert: Gemeindeliste ausgeben
	else {
		// Gemeinden auslesen:
		$sql = mysqli_query($verbindung, "SELECT id, name, ap_name FROM anm_gemeinde");
		
		// Liste der Gemeinden generieren
		while ($row = mysqli_fetch_object($sql)) {
			
			$message = $message . '<li class="lesen"><a href="index.php?action=gemeinde&subac=edit&idg='
			. $row->id . '" class="lesen">' . $row->name . '</a> (' . $row->ap_name . ')</li>';
			
		}
		
		// Hier ist nur die Ausgabe
		$GLOBALS["echo"] = '<b>Gemeinden</b><br><br>
		Hier ist eine kleine &Uuml;bersicht &uuml;ber die Gemeinden, die daran teilnehmen.
		Der Name in der Klammer gibt den Ansprechpartner der Gemeinde an.<br><br>
		<ul>' . $message . '</ul><br>
		<a href="index.php?action=gemeinde&subac=new" class="lesen">Neue Gemeinde erstellen</a>';
	}
	
}



function systembase () {
	global $verbindung;
	// Globale Variablen bekommen
	$name = $GLOBALS["system"]["name"];
	$register = $GLOBALS["system"]["register"];
	
	// Fuer die Startseite noch etwas runterladen
	$sql = mysqli_query($verbindung, "SELECT startseite FROM anm_system WHERE id = '1' LIMIT 1");
	$row = mysqli_fetch_object($sql);
	$startseite = $row->startseite;
	
	// Verarbeitung
	if ($_GET["send"] == "1") {
		
		// Daten empfangen
		$name = spezialzeichen($_POST["name"]);
		$register = $_POST["register"];
		$startseite = spezialzeichen($_POST["startseite"]);
		$gesperrt = $_POST["gesperrt"];
		$checki = $_POST["checki"];
		$pwd = md5($_POST["pwd"]);
		$downloads = $_POST["downloads"];
		
		// Passwort aendern?
		if ($checki == "1" && $pwd != "") {
			$pwdinc = ", pwd = '" . $pwd . "'";
			$messagepwd = ' und Passwort';
		}
		
		// Daten speichern:
		$sql2 = mysqli_query($verbindung, "UPDATE anm_system SET name = '" . $name . "',
		register = '" . $register . "', startseite = '" . $startseite . "',
		gesperrt = '" . $gesperrt . "', downloads = '" . $downloads
		. "'" . $pwdinc . " WHERE id = '1' LIMIT 1");
		
		if ($sql2) {
			$message = 'Daten' . $messagepwd . ' erfolgreich gespeichert.<br><br>';
		}
		
	}
	
	
	// Mal sehen, was Register ist (Ja oder nein Radio)
	if ($register == "1") {
		$r1 = ' checked="checked"';
	}
	else {
		$r2 = ' checked="checked"';
	}
	
	// Einfache Textausgabe und Skriptausgabe:
	$GLOBALS["script"] = 'systembase.js';
	
	$GLOBALS["echo"] = '<b>Basiseinstellungen</b><br><br>' . $message . '
	Seite bitte neu laden, damit &Auml;nderungen aktiv werden (F5)<br><br>
	<form action="index.php?action=systembase&send=1" method="post" class="lesen">
	Portalname:<br>
	<input type="text" value="' . $name . '" name="name"><br><br>
	Passwort:<br> <input type="password" name="pwd"
	placeholder="Leerlassen" disabled="disabled">
	<input type="checkbox" value="1" name="checki" onclick="passwortok();"><br><br>
	Registrierung erlauben:<br>
	<input type="radio" name="register" value="1"' . $r1 . '> Ja
	<input type="radio" name="register" value="0"' . $r2 . '> Nein<br><br>
	Portal sperren:<br>
	<input type="radio" name="gesperrt" value="1" onclick="sicher();"> Ja
	<input type="radio" name="gesperrt" value="0" checked="checked"> Nein<br><br>
	Startseitentext:<br>
	<textarea cols="40" rows="10" name="startseite">' . $startseite . '</textarea><br><br>
	Downloads &ouml;ffentlich verf&uuml;gbar machen:<br>
	<input type="radio" name="downloads" value="1"> Ja
	<input type="radio" name="downloads" value="0"> Nein<br><br>
	<input type="submit" value="Einstellungen speichern">
	</form>';
	
}


function admin () {
	global $verbindung;
	// Login ohne jquery (Abfangsicherheit)
	// Daten auslesen
	$pwd = md5($_POST["pwd"]);
	
	if ($pwd != "") {
		
		// Passwort vergleichen
		if ($pwd == $GLOBALS["system"]["pwd"]) {
			
			$_SESSION["anm"]["id"] = '0';
			$_SESSION["anm"]["lvl"] = '3';
			$GLOBALS["echo"] = '<b>Login erfolgreich</b><br><br>
			Du wurdest erfolgreich eingeloggt. Bitte beachte,
			dass im Administrationsbenutzer keine Real-Escape-
			Sequenzen mehr verwendet werden. Es ist also eine
			SQL Injection (zur einfachereren Handhabung) m&ouml;glich.<br><br>
			<a href="index.php">In den Administrationsbereich</a>';
			
		}
		
		else {
			
			$fehler = 1;
			$nachricht = 'Es gab einen Fehler beim
			Login. Bitte erneut versuchen.<br><br>';
			
		}
		
	}
	if ($pwd == "" || $fehler == 1) {
		
		$GLOBALS["echo"] = '<b>Adminlogin</b><br><br>' . $nachricht
		. '<form action="index.php?action=admin" method="post" class="lesen">
		Bitte geben Sie das Admin-Passwort ein:<br><br>
		<input type="password" name="pwd" placeholder="Passwort"><br><br>
		<input type="submit" value="Einloggen (Gesicherter Login)"></form>';
		
	}
	
}



function packen () {
	global $verbindung;
	// Erst die Skriptdatei einfuegen:
	$GLOBALS["script"] = 'packen.js';
	
	// Hier ist der Array mit den Packsachen: Spaeter der Reihe nach abgerufen
	// (Entities nicht vergessen! [z.B. &auml;])
	$packsachen = array(
	"Schlafsack; Isomatte; Feldbett", "Dusch- und Waschzeug", "Handtuch",
	"Wechselkleidung und Schuhe (Wetterfest)", "Hausschuhe / Haussocken",
	"Bibel", "Anmeldezettel mit Unterschrift", "Optional: Bis zu 5€ Taschengeld",
	"Optional: Massageutensilien", "Optional: Gesellschaftsspiele"
	);
	
	// SQL Abfrage
	$sql = mysqli_query($verbindung, "SELECT packliste FROM anm_teilis WHERE id = '"
	. $_SESSION["anm"]["id"] . "' LIMIT 1");
	$row = mysqli_fetch_object($sql);
	
	// Teilen wir auch die SQL Ausgaben Zahlen in Arrays:
	$nums = explode(";", $row->packliste);
	
	// Hier wird dann die Ausgabeliste generiert:
	$i = '0';
	foreach ($packsachen as $einzel) {
		// Die schon ausgewaehlten werden auch hier gecheckt
		if (in_array($i, $nums)) {
			$klasse1 = 'class="ausgewaehlt2"';
		}
		else {
			$klasse1 = 'class="ausgewaehlt1"';
		}
		
		// Und hier folgt nur die Arrayausgabe
		$ausgabe = $ausgabe . '<br><div id="p' . $i . '" ' . $klasse1 . '
		onclick="startemal(' . $i . ');">' . $packsachen[$i] . '</div>';
		
		$i++;
	}
	
	// Einfache Ausgabe
	$GLOBALS["echo"] = '<b>Packliste</b><br><br>
	Einfach auf den Listenpunkt klicken, um
	abzuhaken.<br>' . $ausgabe;
	
}



function downloads () {
	
	// Hier ist nur eine Ausgabe:
	$GLOBALS["echo"] = '<b>Downloads</b><br><br>
	Flyer mit Elternerkl&auml;rung:
	<a href="downloads/tu_2013_flyer.pdf" target="_blank">[209kB] tu_2013_flyer.pdf</a><br><br>
	Ablaufplan:
	<a href="downloads/tu_2013_ablauf.pdf" target="_blank">[150kB] tu_2013_ablauf.pdf</a><br><br>
	Anmeldeanleitung:
	<a href="downloads/anleitung.pdf" target="_blank">[77kB] anleitung.pdf</a>';
	
}



function login () {
	global $verbindung;
	// Erst das Skript einfuegen:
	$GLOBALS["script"] = 'login.js';
	
	// Dann die Textausgabe:
	$GLOBALS["echo"] = '<div id="jsdiv"><form action="#" onsubmit="sendit(); return false;" class="lesen">
	<b>Login</b><br><br>
	Bitte logge dich mit deinem Namen und deinem Passwort ein:<br><br>
	Dein Name:<br>
	<input type="text" name="vorname" placeholder="Vorname">
	<input type="text" name="nachname" placeholder="Nachname"><br><br>
	Dein Passwort:<br>
	<input type="password" name="pwd" placeholder="Passwort"><br><br>
	Ich will eingeloggt bleiben:
	<input type="checkbox" name="staylogged" value="1" checked><br><br>
	<input type="submit" value="Einloggen"></form></div>';
	
}



function logout () {
	global $verbindung;
	// Erst die Session entfernen
	$_SESSION["anm"] = array();
	session_destroy();
	
	// Dann die Cookies
	if ($_COOKIE["anm_id"] != "") {
		setcookie("anm_id", "", time() - 3600, '/');
	}
	if ($_COOKIE["anm_pwd"] != "") {
		setcookie("anm_pwd", "", time() - 3600, '/');
	}
	
	// Hier nur noch die Textausgabe:
	$GLOBALS["echo"] = '<b>Ausloggen</b><br><br>
	Du bist nun abgemeldet.';
	
}




function register () {
	global $verbindung;
	// Als Erstes wird die Skriptdatei eingebunden
	$GLOBALS["script"] = 'register.js';
	
	
	// Dann erst starten wir mit einer einfachen Ausgabe:
	$GLOBALS["echo"] = '<div id="jsdiv"><b>Anmeldung</b><br><br>
	Dies ist die Anmeldung f&uuml;r die T&Uuml; 2013. Die Anmeldung wird wie folgt geschehen:<br>
	<ul>
	<li>Schritt 1: Du gibst deinen Namen und deinen Geburtstag an.</li>
	<li>Schritt 2: Du w&auml;hlst deine Gemeinde aus.</li>
	<li>Schritt 3: Du beantwortest noch einige Fragen*.</li>
	<li>Schritt 4: Du best&auml;tigst deine Anmeldung**.</li>
	</ul>
	* Vegetarier? Gottesdienstbesuch? Passwort?<br>
	** Dort kannst du noch einmal kontrollieren, ob du alles richtig eingegeben hast.
	Erst danach bist du verbindlich angemeldet.<br><br>
	Im Login-Bereich findest du n&uuml;tzliche Downloads und eine Packliste.<br><br>
	<a href="#" onclick="seite(\'2\');">Weiter</a></div>';
	
}


function start () {
	global $verbindung;
	// Auch hier wieder recht einfach: Einfach den Startseitentext anzeigen lassen.
	// Zuerst Datenbank auslesen
	$sql = mysqli_query($verbindung, "SELECT startseite FROM anm_system WHERE id = 1 LIMIT 1");
	$row = mysqli_fetch_object($sql);
	
	// Und jetzt den Wert einfach uebergeben.
	$GLOBALS["echo"] = nl2br($row->startseite);
	
}


function error () {
	
	// Ganz simpel einen Text ausgeben
	
	$GLOBALS["echo"] = '<b>Fehler 404</b><br><br>
	Leider wurde die von Ihnen aufgerufene Seite nicht gefunden. Bitte
	versuchen Sie einen der nebenstehenden Links.';
	
}

?>
