<?php
$conf = array(
	// The Software Title
	'title' => 'T&Uuml; Anmeldesystem',
	
	// Do you want to show a License? (empty for no, path for license)
	'license_full' => 'cclicense.txt',
	'license_shortdescription' => '<a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">'
		. '<img alt="Creative Commons License" style="border-width:0" '
		. 'src="https://i.creativecommons.org/l/by-nc-sa/4.0/88x31.png" /></a><br />This '
		. 'work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">'
		. 'Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License</a>.',
	
	// Installation Messages like required server settings and stuff
	'install_message' => '<p><b>Projektnummer:</b> 5</p>'
	. '<p><b>Hintergrund:</b> Die Jugend der ich zugehörigen Kirchengemeinde hat eine Teenkreisübernachtung (T&Uuml;) '
	. 'organisiert und durchgeführt. Zwecks Anmeldung, Abrechnung und Planung der Teilnehmer habe ich ein entsprechendes '
	. 'Projekt umgesetzt.</p>'
	. '<p><b>Beschreibung:</b> Da dieses Projekt sehr spezifisch auf diese &Uuml;bernachtungsveranstaltung zugeschnitten ist, '
	. 'm&uuml;ssten einige Inhalte angepasst werden. Dazu zählen die Packliste und die Downloads '
	. '[„functions_inc.php“ Zeile 769 Funktion „downloads“ und „anm_ui/js_funcs.php“ Zeile 379 Funktion „manual“] '
	. '(Programmheft, Flyer und Bedienungsanleitung). Grunds&auml;tzlich ist alles leicht zu finden und sollte '
	. 'kein Problem darstellen, um dieses Projekt auch für andere Veranstaltungen dieser Art zu verwenden.',
	
	// If there is a fixed prefix given already, set here true
	'db_fixed_prefix' => true,
	
	// The path of the config file
	'config_file_path' => '../data_inc.php',
	
	// Ask for first Userinformations:
	'ask_user_info' => true,
	'user_information' => 'Der Benutzername wird nicht gespeichert. Das Passwort muss mindestens 8 Stellen lang sein.'
);



// This function is run after everything has been checked (no termination required, only saving)
// Return true, if it was successfull, return false, if not
// $connection for mysqli is provided
// $username and $pwd provided
function setFirstUser($connection, $username, $pwd) {
	if (!@mysqli_query($connection, 'INSERT INTO anm_system (id, name, pwd, register, gesperrt, startseite, downloads) '
		. 'VALUES ("1", "T&Uuml; Anmeldesystem", "' . md5($pwd) . '", "1", "0", "Dies ist die Startseite", "0")'))
		return false;
	else
		return true;
}

?>
