<?php
session_start();

// Zuerst die erlaubten JS-Aktionen definieren:
$allowed = array("register", "register_safe", "login", "packen", "infos",
"gemfade", "teilnehmerv");

// Dann die Include Dateien
include "../mysql_inc.php";
include "../oof_inc.php";

/*
-----------------------------------------------------------------
*/


function teilnehmerv () {
	global $verbindung;
	$id = $_POST["id"];
	$sql = mysqli_query($verbindung, "DELETE FROM anm_teilis WHERE id = '" . $id . "' LIMIT 1");
	
	if ($sql)
		echo "OK";
	else
		echo mysqli_error($verbindung);	
	
}


function gemfade () {
	global $verbindung;
	$idg = $_POST["idg"];
	
	if (is_numeric($idg)) {
		
		// Abrufen von den Gemeindedaten
		$sql = mysqli_query($verbindung, "SELECT ap_name, ap_adresse, ap_telefon, name FROM
		anm_gemeinde WHERE id = '" . $idg . "' LIMIT 1");
		$row = mysqli_fetch_object($sql);
		
		echo '<b>' . $row->name . '</b><br><br>Ansprechpartner:<br><br>' .
		$row->ap_name . '<br>' .
		nl2br($row->ap_adresse) . '<br>Telefon: ' . $row->ap_telefon
		. '<br>';
		
	}
	
	else
		echo 'error';
	
}


function infos () {
	global $verbindung;
	$textfeld = $_POST["textfeld"];
	
	// Textfeld muss schon richtig sein (Die Anzahl der Familien)
	if (is_numeric($textfeld) && $textfeld >= 1 && $textfeld <= 10) {
		
		// Alle Teilnehmer abrufen
		$sql = mysqli_query($verbindung, "SELECT id FROM anm_teilis");
		
		// Nummer auf Null setzen, damit inkrementiert werden kann:
		$nu = 0;
		
		// Nun alle verarbeiten
		while ($row = mysqli_fetch_object($sql)) {
			
			// Nummer erhoehen und wieder absenken, wenn Wert erreicht.
			$nu++;
			if ($nu > $textfeld)
				$nu = 1;
			
			// Nun noch bearbeiten
			mysqli_query($verbindung, "UPDATE anm_teilis SET familie = '" . $nu . "'
			WHERE id = '" . $row->id . "' LIMIT 1");
			
		}
		
		// Und letztlich das OK mit (vlt.) Fehlermeldung
		echo 'OK' . mysqli_error($verbindung);
		
		
	}
	else {
		echo 'Das eingegebene muss numerisch sein und zwischen 1 und 10 liegen.';
	}
	
}


function packen () {
	global $verbindung;
	// Daten empfangen:
	$ids = $_POST["ids"];
	$selected = $_POST["selected"];
	
	// Daten auslesen:
	$sql = mysqli_query($verbindung, "SELECT packliste FROM anm_teilis WHERE id = '" . $_SESSION["anm"]["id"] . "' LIMIT 1");
	$row = mysqli_fetch_object($sql);
	
	// Auswaehlen, was gemacht werden soll:
	if ($selected == "1") {
		
		// Neu in die Liste eintragen:
		$neu = $row->packliste . ";" . $ids;
		
	}
	else {
		
		// Aus Liste entfernen durch Replace
		$neu = str_replace(";" . $ids, "", $row->packliste);
		
	}
	
	$sql2 = mysqli_query($verbindung, "UPDATE anm_teilis SET packliste = '" . $neu . "' WHERE id = '"
	. $_SESSION["anm"]["id"] . "' LIMIT 1");
	
	if ($sql2) {
		echo 'OK';
	}
	else {
		echo mysqli_error($verbindung);
	}
	
}



function login () {
	
	// Zuerst Daten empfangen und umschreiben:
	$vorname = spezialzeichen($_POST["vorname"]);
	$nachname = spezialzeichen($_POST["nachname"]);
	$pwd = md5($_POST["pwd"]);
	$staylogged = $_POST["staylogged"];
	
	// Dann die Kontrolle, ob Zugangsdaten korrekt:
	$kontrolle = user_login_name($vorname, $nachname, $pwd);
	if ($kontrolle != "" && $kontrolle != false) {
		
		// Hier die Login Routine mit Sessions:
		$_SESSION["anm"]["id"] = $kontrolle;
		$_SESSION["anm"]["lvl"] = '2';
		
		// Hier nun die Cookies, wenn erwuenscht:
		if ($staylogged == "1") {
			setcookie("anm_id", $kontrolle, time() + 15552000, "/");
			setcookie("anm_pwd", $pwd, time() + 15552000, "/");
		}
		
		// Und nun eine kleine Textausgabe:
		echo '<b>Login</b><br><br>
		Deine Zugangsdaten sind korrekt.<br><br>
		<a href="index.php">Weiter in den Login-Bereich</a>';
		
	}
	
	else {
		// Hier die Staylogged-Geschichte angekreuzt oder nicht
		if ($staylogged == "1") {
			$checked = 'checked';
		}
		
		// Wenn Zugangsdaten nicht korrekt:
		echo '<form action="#" onsubmit="sendit(); return false;" class="lesen">
		<b>Login</b><br><br>
		<font color="red">Leider waren deine Zugangsdaten nicht korrekt.</font><br><br>
		Bitte logge dich mit deinem Namen und deinem Passwort ein:<br><br>
		Dein Name:<br>
		<input type="text" name="vorname" placeholder="Vorname" value="' . $vorname . '">
		<input type="text" name="nachname" placeholder="Nachname" value="' . $nachname . '">
		<br><br>Dein Passwort:<br>
		<input type="password" name="pwd" placeholder="Passwort"><br><br>
		Ich will eingeloggt bleiben:
		<input type="checkbox" name="staylogged" value="1" ' . $checked . '><br><br>
		<input type="submit" value="Einloggen"></form>';
	}
	
}




function register_safe () {
	global $verbindung;
	// Funktion zum speichern (Als Session) von Registrierungsaufgaben
	
	$aktuell = $_POST["aktuell"];
	
	switch ($aktuell) {
		
		case "2":
			// Definieren der Variablen
			$vorname = spezialzeichen($_POST["vorname"]);
			$nachname = spezialzeichen($_POST["nachname"]);
			$geb_day = $_POST["geb_day"];
			$geb_month = $_POST["geb_month"];
			$geb_year = $_POST["geb_year"];
			
			// Der erste Check: Ist der Name ausgefuellt?
			if ($vorname == "" || $nachname == "") {
				$failure = "1";
				echo 'Sie haben keinen Namen angegeben.';
			}
			
			// Kontrolle, ob Namen schon vergeben waren.
			$kontrolle = register_name_check($vorname, $nachname);
			if ($kontrolle == "1") {
				$failure = "1";
				echo 'Hast du dich schon einmal registriert? ' . $vorname . ' ' . $nachname
				. ' hat sich bereits angemeldet.';
			}
			
			// Jetzt die Kontrolle, ob er in das Alter passt: 13 - 17 Jahre
			$alter = get_age($geb_day, $geb_month, $geb_year);
			if ($alter < 13 || $alter > 17) {
				$failure = "1";
				echo 'Leider passt du nicht mehr in unsere Altersvorgaben.';
			}
			
			// Wenn alles geplappt hat, gibt es eine Belohnung fuer JS
			if (!isset($failure)) {
				$_SESSION["anm"]["register"]["vorname"] = $vorname;
				$_SESSION["anm"]["register"]["nachname"] = $nachname;
				$_SESSION["anm"]["register"]["geb_day"] = $geb_day;
				$_SESSION["anm"]["register"]["geb_month"] = $geb_month;
				$_SESSION["anm"]["register"]["geb_year"] = $geb_year;
				echo 'OK';
			}
		break;
		
		
		case "3":
			// Definieren der Variablen
			$gemeinde = $_POST["gemeinde"];
			$nochurch = $_POST["nochurch"];
			
			// Ist Gemeinde etwas eingetragen? Wenn nicht, dann keine Gemeinde
			if ($gemeinde == "0" && $nochurch != "1") {
				$failure = "1";
				echo 'Du hast keine Gemeinde aus der Liste ausgesucht.';
			}
			
			if (!is_numeric($gemeinde)) {
				$failure = "1";
				echo 'Hacking attempt.';
			}
			
			if (!isset($failure)) {
				
				// Wenn keine Gemeinde, dann ID auf 0
				if ($nochurch == "1") {
					$gemeinde = "0";
				}
				
				$_SESSION["anm"]["register"]["gemeinde"] = $gemeinde;
				$_SESSION["anm"]["register"]["notlisted"] = $notlisted;
				$_SESSION["anm"]["register"]["nochurch"] = $nochurch;
				echo 'OK';
			}
		break;
		
		
		case "4":
			// Definieren der Variablen:
			$vegetarier = $_POST["vegetarier"];
			$godi = $_POST["godi"];
			$geschwister = $_POST["geschwister"];
			$pwd = $_POST["pwd"];
			$pwd2 = $_POST["pwd2"];
			$bemerkung = $_POST["bemerkung"];
			
			// Einfacher Durchcheck, dass bei jeder Frage einmal gekreuzt wurde:
			if ($vegetarier != "1" && $vegetarier != "0" ||
			$godi != "1" && $godi != "0" ||
			$geschwister != "1" && $geschwister != "0") {
				$failure = "1";
				echo 'Hacking attempt.';
			}
			
			// Passwortkontrolle
			if (pwd_controll($pwd) == "0") {
				$failure = "1";
				echo 'Das Passwort ist zu lang oder zu kurz (5 - 20 Zeichen erlaubt).';
			}
			if ($pwd != $pwd2) {
				$failure = "1";
				echo 'Das Passwort wurde nicht korrekt wiederholt.';
			}
			
			// Abspeichern
			if (!isset($failure)) {
				$_SESSION["anm"]["register"]["vegetarier"] = $vegetarier;
				$_SESSION["anm"]["register"]["godi"] = $godi;
				$_SESSION["anm"]["register"]["geschwister"] = $geschwister;
				$_SESSION["anm"]["register"]["pwd"] = spezialzeichen($pwd);
				$_SESSION["anm"]["register"]["bemerkung"] = spezialzeichen($bemerkung);
				echo 'OK';
			}
		break;
		
	}
	
}



function register () {
	global $verbindung;
	$sollzu = $_POST["sollzu"];
	
	// Definieren der Felder, die in Sessions gespeichert werden.
	$vorname = $_SESSION["anm"]["register"]["vorname"];
	$nachname = $_SESSION["anm"]["register"]["nachname"];
	$geb_day = $_SESSION["anm"]["register"]["geb_day"];
	$geb_month = $_SESSION["anm"]["register"]["geb_month"];
	$geb_year = $_SESSION["anm"]["register"]["geb_year"];
	
	$gemeinde = $_SESSION["anm"]["register"]["gemeinde"];
	$nochurch = $_SESSION["anm"]["register"]["nochurch"];
	
	$vegetarier = $_SESSION["anm"]["register"]["vegetarier"];
	$godi = $_SESSION["anm"]["register"]["godi"];
	$geschwister = $_SESSION["anm"]["register"]["geschwister"];
	$pwd = $_SESSION["anm"]["register"]["pwd"];
	$bemerkung = $_SESSION["anm"]["register"]["bemerkung"];
	
	
	// Hier findet nur die Ausgabe statt
	switch ($sollzu) {
		
		
		case "1":
			echo '<b>Anmeldung</b><br><br>
			Dies ist die Anmeldung f&uuml;r die T&Uuml; 2013. Die Anmeldung wird wie folgt geschehen:<br>
			<ul>
			<li>Schritt 1: Du gibst deinen Namen und deinen Geburtstag an.</li>
			<li>Schritt 2: Du w&auml;hlst deine Gemeinde aus.</li>
			<li>Schritt 3: Du beantwortest noch einige Fragen*.</li>
			<li>Schritt 4: Du best&auml;tigst deine Anmeldung**.</li>
			</ul>
			* Vegetarier? Gottesdienstbesuch? Passwort?<br>
			** Dort kannst du noch einmal kontrollieren, ob du alles richtig eingegeben hast.
			Erst danach bist du verbindlich angemeldet.<br><br>
			Im Login-Bereich findest du n&uuml;tzliche Downloads und eine Packliste.<br><br>
			<a href="#" onclick="seite(\'2\');">Weiter</a>';
		break;
		
		
		
		case "2":
			echo '<b>Schritt 1</b><br><br>
			<input type="text" name="vorname" value="' . $vorname . '" placeholder="Vorname"><br>
			<input type="text" name="nachname" value="' . $nachname . '" placeholder="Nachname"><br><br>
			Geburtstag:<br><br>
			<select name="geb_day">';
			// Die Anzeigeschleife fuer Tage
			$i = 0;
			while ($i <= 30) {
				$i++;
				$checked = "";
				if ($geb_day == $i)
					$checked = "selected";
				echo '<option value="' . $i . '" ' . $checked . '>' . $i . '</option>';
			}
			echo '</select> . <select name="geb_month">';
			// Die Anzeigeschleife fuer Monate
			$i = 0;
			while ($i <= 11) {
				$i++;
				$checked = "";
				if ($geb_month == $i)
					$checked = "selected";
				echo '<option value="' . $i . '" ' . $checked . '>' . $i . '</option>';
			}
			echo '</select> . <select name="geb_year">';
			// Die Anzeigeschleife fuer Jahre
			$i = 1994;
			while ($i <= 2000) {
				$i++;
				$checked = "";
				if ($geb_year == $i)
					$checked = "selected";
				echo '<option value="' . $i . '" ' . $checked . '>' . $i . '</option>';
			}
			echo '</select><br><br>
			<a href="#" onclick="sichern(\'2\', \'1\');">Zur&uuml;ck</a> |
			<a href="#" onclick="sichern(\'2\', \'3\');">Weiter</a>';
		break;
		
		
		
		case "3":
			
			// Erst einmal die Gemeinden laden
			$sql = mysqli_query($verbindung, "SELECT id, name FROM anm_gemeinde");
			
			// Damit die Felder gechecked sind, wenn sie vorher ausgefuellt wurden.
			if ($nochurch == "1") {
				$checked = 'checked';
			}
			
			// Dann einfach die Textausgabe
			echo '<b>Schritt 2</b><br><br>
			Hier w&auml;hlen Sie bitte die Gemeinde aus, zu der Sie geh&ouml;ren.<br><br>
			<select name="gemeinde">
			<option value="0">---</option>';
			
			while ($row = mysqli_fetch_object($sql)) {
				if ($gemeinde == $row->id) {
					$selected = "selected";
				}
				echo '<option value="' . $row->id . '" ' . $selected . '>' . $row->name . '</option>';
			}
			
			echo '</select><br><br>
			<input type="checkbox" value="1" name="nochurch" ' . $checked . '> Ich geh&ouml;re
			zu keiner dieser Gemeinden.<br><br>
			<a href="#" onclick="sichern(\'3\', \'2\');">Zur&uuml;ck</a> |
			<a href="#" onclick="sichern(\'3\', \'4\');">Weiter</a>';
		break;
		
		
		
		
		case "4":
			
			// Hier die Radios erst anchecken
			if ($vegetarier == "1")
				$a_1 = "checked";
			else
				$a_2 = "checked";
			
			if ($godi == "0")
				$b_2 = "checked";
			else
				$b_1 = "checked";
			
			if ($geschwister == "1")
				$c_1 = "checked";
			else
				$c_2 = "checked";
			
			// Direkte Formularausgabe:
			echo '<b>Schritt 3</b><br><br>
			Bitte beantworte einfach diese Fragen:<br><br>
			Bist du Vegetarier?<br>
			<input type="radio" name="vegetarier" value="1" ' . $a_1 . '> Ja |
			<input type="radio" name="vegetarier" value="0" ' . $a_2 . '> Nein<br><br>
			Willst du mit am Gottesdienst teilnehmen?<br>
			<input type="radio" name="godi" value="1" ' . $b_1 . '> Ja |
			<input type="radio" name="godi" value="0" ' . $b_2 . '> Nein<br><br>
			Hast du Geschwister, die an der T&Uuml; 2013 teilnehmen?<br>
			<input type="radio" name="geschwister" value="1"' . $c_1 . '> Ja |
			<input type="radio" name="geschwister" value="0"' . $c_2 . '> Nein<br><br>
			Passwort:<br>
			<input type="password" placeholder="Passwort" name="pwd" value="' . $pwd . '">
			<input type="password" placeholder="Wiederholung" name="pwd2" value="' . $pwd . '"><br><br>
			Hier hast du noch einmal Platz f&uuml;r Zusatzbemerkungen:<br>
			<textarea name="bemerkung" rows="7" cols="30">' . $bemerkung . '</textarea>
			<br><br>
			<a href="#" onclick="sichern(\'4\', \'3\');">Zur&uuml;ck</a> |
			<a href="#" onclick="sichern(\'4\', \'5\');">Weiter</a>';
		break;
		
		
		
		case "5":
			
			// Gemeindeausgabe vorbereiten:
			$gemeindename = church_name($gemeinde);
			if ($gemeinde == false) {
				$gemeindename = 'Kein Mitglied einer der dort gelisteten Gemeinden.';
			}
			
			// Vegetarier Ja/Nein
			if ($vegetarier == "1")
				$veg = "Ja";
			else
				$veg = "Nein";
			
			// GoDi Ja/Nein
			if ($godi == "1")
				$service = "Ja";
			else
				$service = "Nein";
			
			// Geschwister Ja/Nein
			if ($geschwister == "1")
				$siblings = "Ja";
			else
				$siblings = "Nein";
			
			// Ab hier wird es einfach: Hier ist nur Ausgabe
			echo '<b>Schritt 4</b><br><br>
			Hier bitten wir dich deine Angaben noch einmal zu kontrollieren, bevor
			sie abgeschickt werden.<br>
			<table border="0" class="lesen">
			<tr>
			<td>Name: </td>
			<td><b>' . $vorname . ' ' . $nachname . '</b></td>
			<td><a href="#" onclick="seite(\'2\');">[bearbeiten]</a></td>
			</tr><tr>
			<td>Geburtsdatum: </td>
			<td><b>' . $geb_day . '.' . $geb_month . '.' . $geb_year . '</b></td>
			<td><a href="#" onclick="seite(\'2\');">[bearbeiten]</a></td>
			</tr><tr>
			<td>Gemeinde: </td>
			<td><b>' . $gemeindename . '</b></td>
			<td><a href="#" onclick="seite(\'3\');">[bearbeiten]</a></td>
			</tr><tr>
			<td>Vegetarier: </td>
			<td><b>' . $veg . '</b></td>
			<td><a href="#" onclick="seite(\'4\');">[bearbeiten]</a></td>
			</tr><tr>
			<td>Gottesdienstbesuch: </td>
			<td><b>' . $service . '</b></td>
			<td><a href="#" onclick="seite(\'4\');">[bearbeiten]</a></td>
			</tr><tr>
			<td>Geschwisterkind: </td>
			<td><b>' . $siblings . '</b></td>
			<td><a href="#" onclick="seite(\'4\');">[bearbeiten]</a></td>
			</tr><tr>
			<td>Passwort: </td>
			<td><b>Das Passwort hat ' . strlen($pwd) . ' Stellen.</b></td>
			<td><a href="#" onclick="seite(\'4\');">[bearbeiten]</a></td>
			</tr><tr>
			<td>Bemerkung: </td>
			<td><b>' . nl2br($bemerkung) . '</b></td>
			<td><a href="#" onclick="seite(\'4\');">[bearbeiten]</a></td>
			</tr>
			</table><br><br>
			<a href="#" onclick="seite(\'4\');">Zur&uuml;ck</a> |
			<a href="#" onclick="seite(\'6\');">Anmelden</a>';
		break;
		
		
		case "6":
			
			// Passwort md5-verschluesseln:
			$pwd = md5($pwd);
			
			// Hier ist der Speichervorgang:
			$sql = mysqli_query($verbindung, "INSERT INTO anm_teilis (vorname, nachname, geburtstag, familie, bemerkung, vegetarier,
			godi, unterschrift, bezahlt, geschwister, gemeinde, pwd, packliste) VALUES ('" . $vorname . "', '" . $nachname . "',
			'" . $geb_day . "." . $geb_month . "." . $geb_year . "', '0', '" . $bemerkung . "', '" . $vegetarier . "',
			'" . $godi . "', '0', '0', '" . $geschwister . "', '" . $gemeinde . "', '" . $pwd . "', '')");
			
			
			if ($sql == true) {
				// ID herausfinden
				$id = mysqli_insert_id($verbindung);
				
				// Cookie setzen
				setcookie("anm_id", $id, time() + 15552000, "/");
				setcookie("anm_pwd", $pwd, time() +15552000, "/");
				
				// Session fuer Login erstellen:
				$_SESSION["anm"]["id"] = $id;
				$_SESSION["anm"]["lvl"] = "2";
				
				// Session loeschen
				$_SESSION["anm"]["register"] = array();
				
				// Die Ausgabe, was man dort finden kann
				echo '<b>Anmeldung abgeschlossen</b><br><br>
				Du bist nun bei der T&Uuml; 2013 angemeldet. Im Login - Bereich findest du die M&ouml;glichkeit,
				deine Daten zu &auml;ndern oder dich wieder abzumelden.<br><br>
				<a href="index.php">Weiter in den Login-Bereich</a>';
			}
			
			// Bei einem SQL Fehler diesen Text ausgeben.
			else {
				echo '<b>Fehler</b><br><br>
				Leider gab es einen unerwarteten Fehler. Bitte versuche es erneut. Wenn dies jetzt das zweite mal ist,
				dass dir diese Meldung angezeigt wird, dann kontaktiere bitte Jonathan Lusky.<br><br>
				Tel: 05961/4728<br>
				E-Mail: <a href="mailto:jon-lusky@ewetel.net">jon-lusky@ewetel.net</a><br><br>
				<a href="#" onclick="seite(\'1\');">Noch einmal versuchen</a>';
			}
		break;
		
		
	}
	
}



/*
------------------------------------------------------
*/





// Dann kontrollieren, ob es eine Funktion ist:
$action = $_POST["action"];
if (in_array($action, $allowed)) {
	// Und dann die Funktion aufrufen
	call_user_func($action);
}
else {
	echo 'Hacking attempt.';
}

?>
